import request from '@/utils/request'

// 查询企业排污许可信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrEnterprisePollutionPermitInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业排污许可信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePollutionPermitInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业排污许可信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrEnterprisePollutionPermitInfo',
    method: 'post',
    data: data
  })
}

// 修改企业排污许可信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrEnterprisePollutionPermitInfo',
    method: 'put',
    data: data
  })
}

// 删除企业排污许可信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePollutionPermitInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrEnterprisePollutionPermitInfo/delete',ids)
}
